<?xml version="1.0" encoding="utf-8"?>
<xbrl
  xml:lang="en-US"
  xmlns="http://www.xbrl.org/2003/instance"
  xmlns:dei="http://xbrl.sec.gov/dei/2021"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:schemaRef xlink:href="jblu-20211026.xsd" xlink:type="simple"/>
    <context id="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026">
        <entity>
            <identifier scheme="http://www.sec.gov/CIK">0001158463</identifier>
        </entity>
        <period>
            <startDate>2021-10-26</startDate>
            <endDate>2021-10-26</endDate>
        </period>
    </context>
    <dei:AmendmentFlag
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF80L2ZyYWc6MzE5ZjQwMGQwMDAzNDgyOTgyNjE2YWU4YWQ0ZjhkYzgvdGFibGU6YjlkMmE3MWZiYTkzNDY0MWJmNGY0YTIyZTlmN2QxMWUvdGFibGVyYW5nZTpiOWQyYTcxZmJhOTM0NjQxYmY0ZjRhMjJlOWY3ZDExZV8xLTEtMS0xLTA_373ea234-7f24-430b-8395-95cf6ffbffb4">false</dei:AmendmentFlag>
    <dei:EntityCentralIndexKey
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF80L2ZyYWc6MzE5ZjQwMGQwMDAzNDgyOTgyNjE2YWU4YWQ0ZjhkYzgvdGFibGU6YjlkMmE3MWZiYTkzNDY0MWJmNGY0YTIyZTlmN2QxMWUvdGFibGVyYW5nZTpiOWQyYTcxZmJhOTM0NjQxYmY0ZjRhMjJlOWY3ZDExZV8yLTEtMS0xLTA_656bc5e6-5ace-401c-9850-d2f0d284548f">0001158463</dei:EntityCentralIndexKey>
    <dei:DocumentType
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTkz_a57cfe0b-3985-4b09-aa55-b133fbd464aa">8-K</dei:DocumentType>
    <dei:DocumentPeriodEndDate
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8yMjY_08d30dc9-3c15-4ed3-833a-0d15d777f4a5">2021-10-26</dei:DocumentPeriodEndDate>
    <dei:EntityRegistrantName
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTk4_54497387-cbf0-43ed-baf8-e7cdcbbe25d0">JETBLUE AIRWAYS CORP</dei:EntityRegistrantName>
    <dei:EntityIncorporationStateCountryCode
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8wLTAtMS0xLTA_3806e45b-d9bc-46a0-891d-1f04059c650e">DE</dei:EntityIncorporationStateCountryCode>
    <dei:EntityFileNumber
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8wLTEtMS0xLTA_238df9de-402f-4acb-8bf5-5a0f3cdd0962">000-49728</dei:EntityFileNumber>
    <dei:EntityTaxIdentificationNumber
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8wLTMtMS0xLTA_31d8ec87-a920-4d1a-bb1f-7561e7133c5e">87-0617894</dei:EntityTaxIdentificationNumber>
    <dei:EntityAddressAddressLine1
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8zLTAtMS0xLTA_3ddf1037-ee4d-49ad-86fb-76abda657fc5">27-01 Queens Plaza North</dei:EntityAddressAddressLine1>
    <dei:EntityAddressCityOrTown
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8zLTEtMS0xLTA_6a9f6242-7a0b-440d-a709-162374f31838">Long Island City</dei:EntityAddressCityOrTown>
    <dei:EntityAddressStateOrProvince
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8zLTItMS0xLTA_d4145129-33aa-4109-91f3-c06a15033e28">NY</dei:EntityAddressStateOrProvince>
    <dei:EntityAddressPostalZipCode
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6ZTNiODFjNjBhYzU5NDdhZTg1MmFjZDQ2Zjg1NWNhM2IvdGFibGVyYW5nZTplM2I4MWM2MGFjNTk0N2FlODUyYWNkNDZmODU1Y2EzYl8zLTMtMS0xLTA_231d56d0-f5be-4e52-9932-008d63ebc826">11101</dei:EntityAddressPostalZipCode>
    <dei:CityAreaCode
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTk5_7560e0b0-1dec-4014-8465-e983030302cf">718</dei:CityAreaCode>
    <dei:LocalPhoneNumber
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNjAw_9c29babb-57e2-496f-b16c-f63a50acc166">286-7900</dei:LocalPhoneNumber>
    <dei:WrittenCommunications
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTk0_69d784d7-fafd-4fe0-b637-1a43f0e4750e">false</dei:WrittenCommunications>
    <dei:SolicitingMaterial
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTk1_d80fde82-28ba-4ff2-a5be-ee787c7e6210">false</dei:SolicitingMaterial>
    <dei:PreCommencementTenderOffer
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTk2_50c9b475-70a4-4979-b07e-8e4136d6e225">false</dei:PreCommencementTenderOffer>
    <dei:PreCommencementIssuerTenderOffer
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTk3_862a49e5-3994-45ba-832d-e48bf3f14df5">false</dei:PreCommencementIssuerTenderOffer>
    <dei:Security12bTitle
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6NWQwY2Y4MTljMGEyNGJlOWE0ZmFhN2U5Mjg0YTM5OTgvdGFibGVyYW5nZTo1ZDBjZjgxOWMwYTI0YmU5YTRmYWE3ZTkyODRhMzk5OF8xLTAtMS0xLTA_5f18439a-a7f2-4344-bc46-7201c066f629">Common Stock, $0.01 par value</dei:Security12bTitle>
    <dei:TradingSymbol
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6NWQwY2Y4MTljMGEyNGJlOWE0ZmFhN2U5Mjg0YTM5OTgvdGFibGVyYW5nZTo1ZDBjZjgxOWMwYTI0YmU5YTRmYWE3ZTkyODRhMzk5OF8xLTEtMS0xLTA_a88760af-d7aa-43ee-a8dd-87b4bb1fbe21">JBLU</dei:TradingSymbol>
    <dei:SecurityExchangeName
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGFibGU6NWQwY2Y4MTljMGEyNGJlOWE0ZmFhN2U5Mjg0YTM5OTgvdGFibGVyYW5nZTo1ZDBjZjgxOWMwYTI0YmU5YTRmYWE3ZTkyODRhMzk5OF8xLTItMS0xLTA_1a0d6b00-83a2-45b2-8da6-08473adc243a">NASDAQ</dei:SecurityExchangeName>
    <dei:EntityEmergingGrowthCompany
      contextRef="idaff0898df7345f0b7f5bcd94524a106_D20211026-20211026"
      id="id3VybDovL2RvY3MudjEvZG9jOjZlZWM5MGU2NzkyMTRjZjhhZDY3YzE2ZGY2YWFmY2I0L3NlYzo2ZWVjOTBlNjc5MjE0Y2Y4YWQ2N2MxNmRmNmFhZmNiNF8xL2ZyYWc6NWRhMjVkYjRjNTk2NDdlOGIzYWEwNThiYzg1N2FhMmIvdGV4dHJlZ2lvbjo1ZGEyNWRiNGM1OTY0N2U4YjNhYTA1OGJjODU3YWEyYl8xNTky_acc83b42-c9f2-409a-a4ed-cb5961fc2d5d">false</dei:EntityEmergingGrowthCompany>
</xbrl>
